public class IsAPalindrome implements CountedFeature
{
    public IsAPalindrome()
    {
        // ... no data to initialize
    }

    public boolean hasFeature( String s )
    {
        if ( s == null)
            return false;

        int length = s.length();
        if ( length < 2 )
	     return true;    // or false, if we want to exclude 1-letter words

        int half = length/2;
        for ( int i = 0; i < half; ++i )
            if ( s.charAt(i) != s.charAt(length - 1 - i) )
                return false;

        return true;
    }
}
